Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.interfaces
Interface PBEKey

All Superinterfaces:
  Key, SecretKey, Serializable

    public interface PBEKey

extends SecretKey

The interface to a PBE key.

Since:
  1.4
See Also:
  `PBEKeySpec`, `SecretKey`

Field Summary
`static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

Method Summary
`int` | `getIterationCount()` Returns the iteration count or 0 if not specified.
`char[]` | `getPassword()` Returns the password.
`byte[]` | `getSalt()` Returns the salt or null if not specified.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

  See Also:
    Constant Field Values

Method Detail

### getPassword

    char[] getPassword()

  Returns the password.

  Note: this method should return a copy of the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

  Returns:
    the password.

### getSalt

    byte[] getSalt()

  Returns the salt or null if not specified.

  Note: this method should return a copy of the salt. It is the caller's responsibility to zero out the salt information after it is no longer needed.

  Returns:
    the salt.

### getIterationCount

    int getIterationCount()

  Returns the iteration count or 0 if not specified.

  Returns:
    the iteration count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.